Package org.globus.axis.transport.commons

# Class CommonsHttpConnectionManager

java.lang.Object
org.globus.axis.transport.commons.CommonsHttpConnectionManager

All Implemented Interfaces:
  `org.apache.commons.httpclient.HttpConnectionManager`

public class CommonsHttpConnectionManager extends Object implements org.apache.commons.httpclient.HttpConnectionManager

## Constructor Summary

Constructors
Constructor
Description
`CommonsHttpConnectionManager(String[] hostConfigurationParams)`

## Method Summary

Modifier and Type
Method
Description
`void`
`closeIdleConnections(long idleTimeout)`
`org.apache.commons.httpclient.HttpConnection`
`getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration)`
`org.apache.commons.httpclient.HttpConnection`
`getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration, long timeout)`
`long`
`getConnectionIdleTime()`
`org.apache.commons.httpclient.HttpConnection`
`getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration hostConfiguration, long timeout)`
`org.apache.commons.httpclient.params.HttpConnectionManagerParams`
`getParams()`
`boolean`
`isStaleCheckingEnabled()`
`void`
`releaseConnection(org.apache.commons.httpclient.HttpConnection conn)`
`void`
`setConnectionIdleTime(long time)`
`static void`
`setConnectionIdleTime(CommonsHttpConnectionManager manager)`
`void`
`setParams(org.apache.commons.httpclient.params.HttpConnectionManagerParams params)`
`void`
`setStaleCheckingEnabled(boolean staleChecking)`
`static void`
`setStaleCheckingEnabled(CommonsHttpConnectionManager manager)`
`void`
`shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommonsHttpConnectionManager

public CommonsHttpConnectionManager(String[] hostConfigurationParams)

## Method Details

### setConnectionIdleTime

public void setConnectionIdleTime(long time)

### getConnectionIdleTime

public long getConnectionIdleTime()

### setStaleCheckingEnabled

public void setStaleCheckingEnabled(boolean staleChecking)

### isStaleCheckingEnabled

public boolean isStaleCheckingEnabled()

### getConnection

public org.apache.commons.httpclient.HttpConnection getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration)

Specified by:
  `getConnection` in interface `org.apache.commons.httpclient.HttpConnectionManager`

### getConnection

public org.apache.commons.httpclient.HttpConnection getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration, long timeout)

Specified by:
  `getConnection` in interface `org.apache.commons.httpclient.HttpConnectionManager`

### getConnectionWithTimeout

public org.apache.commons.httpclient.HttpConnection getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration hostConfiguration, long timeout)

Specified by:
  `getConnectionWithTimeout` in interface `org.apache.commons.httpclient.HttpConnectionManager`

### releaseConnection

public void releaseConnection(org.apache.commons.httpclient.HttpConnection conn)

Specified by:
  `releaseConnection` in interface `org.apache.commons.httpclient.HttpConnectionManager`

### getParams

public org.apache.commons.httpclient.params.HttpConnectionManagerParams getParams()

Specified by:
  `getParams` in interface `org.apache.commons.httpclient.HttpConnectionManager`

### setParams

public void setParams(org.apache.commons.httpclient.params.HttpConnectionManagerParams params)

Specified by:
  `setParams` in interface `org.apache.commons.httpclient.HttpConnectionManager`

### closeIdleConnections

public void closeIdleConnections(long idleTimeout)

Specified by:
  `closeIdleConnections` in interface `org.apache.commons.httpclient.HttpConnectionManager`

### shutdown

public void shutdown()

### setStaleCheckingEnabled

public static void setStaleCheckingEnabled(CommonsHttpConnectionManager manager)

### setConnectionIdleTime

public static void setConnectionIdleTime(CommonsHttpConnectionManager manager)